Main Page Class Hierarchy Compound List File List Compound Members File Members

# LCD Class Reference

`#include <LCD.h>`

List of all members.

## Detailed Description

This class provides methods to access the robot LCD.

Author:
  Jia L. Du

## Public Member Functions
| LCD ()
void | setMenu (char *menuItem1, char *menuItem2, char *menuItem3, char *menuItem4)
void | setMenuItem (int position, char *menuItem)
void | clear ()
void | putString (char *string)
## Static Private Attributes
const int | MENU_POSITION_1 = 1
const int | MENU_POSITION_2 = 2
const int | MENU_POSITION_3 = 3
const int | MENU_POSITION_4 = 4

## Constructor & Destructor Documentation

LCD::LCD | ( |  | ) |

## Member Function Documentation

void LCD::clear | ( |  | ) |

| Clears the LCD (what about the menu??)

void LCD::putString | ( | char * | string | ) |

| Write the given string to the current cursor position and move down one row

void LCD::setMenu | ( | char * | menuItem1,
|  | char * | menuItem2,
|  | char * | menuItem3,
|  | char * | menuItem4
| ) |

  | Sets the texts for the LCD menu entries Parameters:
  menuItem1 | The text for the first menu entry
  menuItem2 | The text for the second menu entry
  menuItem3 | The text for the third menu entry
  menuItem4 | The text for the fourth menu entry

void LCD::setMenuItem | ( | int | position,
|  | char * | menuItem
| ) |

  | Sets the text for a specific LCD menu entry Parameters:
  position | LCD.MENU_POSITION_1 or LCD.MENU_POSITION_ 2 or LCD.MENU_POSITION_3 or LCD.MENU_POSITION_4
  menuItem | The text for the menu entry

## Member Data Documentation

const int LCD::MENU_POSITION_1 = 1`[static, private]`

| Value to identify position 1 in the LCD menu

const int LCD::MENU_POSITION_2 = 2`[static, private]`

| Value to identify position 2 in the LCD menu

const int LCD::MENU_POSITION_3 = 3`[static, private]`

| Value to identify position 3 in the LCD menu

const int LCD::MENU_POSITION_4 = 4`[static, private]`

| Value to identify position 4 in the LCD menu